Import list items
- Base URL
-
https://{kibana_url}
- POST /api/lists/items/_import
- POST /s/{space_id}/api/lists/items/_import
Import list items from a TXT or CSV file. The maximum file size is 9 million bytes.
You can import items to a new or existing list.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Query parameters
-
list_idstring · format: nonempty · min length: 1 -
List's id.
Required when importing to an existing list.
-
typeenum -
Type of the importing list.
Required when importing a new list that is
list_idis not specified. -
Values:
binarybooleanbytedatedate_nanosdate_rangedoubledouble_rangefloatfloat_rangegeo_pointgeo_shapehalf_floatintegerinteger_rangeipip_rangekeywordlonglong_rangeshapeshorttext
Responses
Successful response
-
descriptionstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
-
namestring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters
Invalid input data response
Unsuccessful authentication response
Not enough privileges response
List with specified list_id does not exist response